<?php

function deltemplate(){
	$templateid=GETVAL('templateid');
	global $db;
	
	$user=userinfo();
	$gsid=$user['gsid']+0;
	
	checkgskey('deltemplate_'.$templateid);
	
	$query="select * from templates,templatetypes where templates.templateid=? and templates.templatetypeid=templatetypes.templatetypeid and gsid=?";
	$rs=sql_prep($query,$db,array($templateid,$gsid));
	if (!$myrow=sql_fetch_assoc($rs)) apperror('Access denied');
			
	$query="select * from templates where templateid=?";
	$rs=sql_prep($query,$db,$templateid);
	if (!$myrow=sql_fetch_array($rs)) die('Invalid template record');
	
	$templatename=$myrow['templatename'];
	
	$query="delete from templates where templateid=?";
	sql_prep($query,$db,$templateid);

	$query="update templatetypes set activetemplateid=null where activetemplateid=?";
	sql_prep($query,$db,$templateid);
	
	logaction("deleted Template #$templateid $templatename",
		array('templateid'=>$templateid,'templatename'=>$templatename),
		array('rectype'=>'templatetypetemplates','recid'=>$templatetypeid)
		);
}
